function ASLTimed() {
	var args = arguments;	
	window.setTimeout(function () {  
	   if (canSendCommand) {			
			ASLEvent.apply(ASLEvent,args);
	   } else {			
			ASLTimed.apply(ASLTimed,args);
	   }
    }, 50);
}
function getLoadData() {
	var saves = getSaveGames()
	var data="";	
	for (var key in saves) {
		if (saves.hasOwnProperty(key)) {
			if (data!=="") {
				data=data+"|";
			}				
			data=data+key+":"+saves[key];
		}
	}	
	return data;
}
function decodeLoadData(data) {
    var saves = data.split("|");
	var ret ={};
	for (var i=0;i<saves.length;i++) {
		info = saves[i].split(":");
		ret[info[0]] = info[1];		
	}
	return ret;	
}
function loadLocal() {
	var data = getLoadData();	
	ASLTimed("js_loadgame",data);	
}

function saveLocal(name,data) {	
	var saves = getSaveGames();
	if (saves==null)
		saves={};
	saves[name]=data;	
	setSaveGames(saves);	
}
var store={};
function getSaveGames() {
	var saves = getStorage("savegame");
	if (webPlayer) {	
		saves=JSON.parse(saves);
	}
	return saves;
}
function setSaveGames(saves) {
	if (webPlayer) {
		saves = JSON.stringify(saves); 
	}
	setStorage("savegame",saves);
}
function getStorage(name) {
    if (webPlayer) {	
		if (typeof(Storage) !== "undefined") {
		    var str = localStorage.getItem(name);
			return str;
		} else {
			return null;
		}
	} else {
		return store[name];
	}
}
function setStorage(name,value) {
	if (webPlayer) {		
		if (typeof(Storage) !== "undefined") {
			localStorage.setItem(name, value);
		}
	} else {
		store[name]=value;
		return;
	}
}
function chooseLoadGame(game,data) {
	setStorage("LoadGame",game);
	var saves = decodeLoadData(data);
	setSaveGames(saves);
	if (webPlayer)
		window.location="http://textadventures.co.uk/games/play/notetegovecfeajyklt11q";
	
}
function restartLoading() {
	var load = getStorage("LoadGame");
	if (load!=null && load!="") {
		var data = getLoadData();
		setStorage("LoadGame","");
		ASLTimed("js_loadgame",data+"#"+load);
	}
}
